/*
**  WASABI-Hot! version 1.2c    (DeviceController sub-unit)
**
**
**      -- copyright (c) 2001-2004 by Philips Japan, Ltd. -- All rights reserved --
**
**
**      ** This code has been made to check/learn                          ** 
**      **                             the ISP1362/ISP1363 functionalities **
**      ** Release 06-Aug-2004                                             **
**
**     HIGASHIYAMA, Ken 
**      
**		Application Laboratory, Mobile and Connectivity
**      Semiconductors Div, Philips Japan Ltd.
**      ken.higashiyama@philips.com
**      +81-3-3740-5136 
**
**
*/

#ifndef _DC_HAL_
#define _DC_HAL_

#include			"general.h"		//AO


extern unsigned char		gp_Dc_IRQ_num;

extern unsigned int			gp_ISA_base_address;
extern unsigned int			gp_1362_Dc_data_address;
extern unsigned int			gp_1362_Dc_command_address;

#define	DC_1362_PORTBASE	gp_ISA_base_address
#define	D13_DATA_PORT		gp_1362_Dc_data_address
#define	D13_COMMAND_PORT	gp_1362_Dc_command_address


void D13_outport(unsigned short port, unsigned short data);
unsigned short D13_inport(unsigned short port);
void dc_init_isr( void );
void end_of_isr( void );
void release_interrupt( void );

#endif // _DC_HAL_