/*
**  WASABI-Hot! version 1.2c    (DeviceController sub-unit)
**
**
**      -- copyright (c) 2001-2004 by Philips Japan, Ltd. -- All rights reserved --
**
**
**      ** This code has been made to check/learn                          ** 
**      **                             the ISP1362/ISP1363 functionalities **
**      ** Release 06-Aug-2004                                             **
**
**     HIGASHIYAMA, Ken 
**      
**		Application Laboratory, Mobile and Connectivity
**      Semiconductors Div, Philips Japan Ltd.
**      ken.higashiyama@philips.com
**      +81-3-3740-5136 
**
**
*/

#include		"general.h"


#define	SETUPT	0x04


typedef	struct	_dc_event	{
								unsigned long	frame_number;
								unsigned long	cause;
							}
							dc_event;


void disable_Dc( void );
void enable_Dc( void );
void interrupt usb_isr( void );
void usb_Dc_isr( void );

void set_service_done( void );

void show_dc_event_log( void );


extern dc_event			dc_event_logger[ 4 ];


extern unsigned short	setup_buf[4];
extern unsigned short	ctrl_out_buf[32];
extern unsigned short	ctrl_in_buf[32];
extern unsigned short	tmp_buf[32];

