/*
**  WASABI-Hot! version 1.2c   
**
**
**      -- copyright (c) 2001-2004 by Philips Japan, Ltd. -- All rights reserved --
**
**
**      ** This code has been made to check/learn                          ** 
**      **                             the ISP1362/ISP1363 functionalities **
**      ** Release 06-Aug-2004                                             **
**
**      OKANO, Akifumi
**      
**		Application Laboratory, Mobile and Connectivity
**      Semiconductors Div, Philips Japan Ltd.
**      akifumi.okano@philips.com
**      +81-3-3740-4668 
**
*/

/*
**	HID-Keyboard/Mouse handling framework has been written by Hisashige Harashima
**		04-Mar-2002
*/


/****************************************************************************/
/*	includes																*/
/****************************************************************************/

#include		"_hc_core/dev_ep.h"


/****************************************************************************/
/*	constants																*/
/****************************************************************************/

#define			DV_CLASS_INITIALIZATION_METHOD_LIST_ITEM_NUMBER		11
#define			IF_CLASS_INITIALIZATION_METHOD_LIST_ITEM_NUMBER		11

#define			HUB_CLASS_DEVICE									0x09

#define			AUDIO_CLASS_INTERFACE								0x01
#define			HID_CLASS_INTERFACE									0x03
#define			PRINTER_CLASS_INTERFACE								0x07
#define			STORAGE_CLASS_INTERFACE								0x08
#define			HUB_CLASS_INTERFACE									0x09

#define			HID_INTERFACE_KEYBOARD								0x01	//Modification by hara
#define			HID_INTERFACE_MOUSE									0x02	//Modification by hara

/****************************************************************************/
/*	global vars																*/
/****************************************************************************/

extern			char			*gp_class_str[];


/****************************************************************************/
/*	function prototypes														*/
/****************************************************************************/

void			clshndl_initialization_method_install( void );
unsigned short	clshndl_initialization_method( device_instance *dvi_ptr );
unsigned short	clshndl_dispose_method( device_instance *dvi_ptr );

